Betaflight lua script not working on Taranis x9d+ with Jumper jp4in1

General Help and support for the Taranis Radio.
Post Reply
delta575
Posts: 1
Joined: Mon Sep 16, 2019 6:22 pm
Country: -

Betaflight lua script not working on Taranis x9d+ with Jumper jp4in1

Post by delta575 » Mon Sep 16, 2019 6:35 pm

Hello everyone, this is my first post and I couldn't really tell on which topic it belongs, this seems adequate but please feel free to advice me further.

I can't get the betaflight lua scripts (betaflight-tx-lua-scripts_1.3.0) to work using the external jp4in1 module, when the script initiates it says "script syntax error telemetry protocol not supported" or sometimes goes trough but cant read any values.

I've tried binding using the modes "MULTI FrSky D16" and" MULTI FrSky D16 8ch" but no luck.
I see telemetry sensors working normally on discovery, I see RSSI, VFAS and many others.
When I switch to internal module the script works seamless and see the same sensors.


My setup:
Taranis x9d+ (opentx-x9d+-multimodule-noheli-lua-luac-en-2.2.4)
Jumper jp4in1 (multi-stm-opentx-inv-v1.2.1.76)
FuriousFPV LR1000 Diversity Mini Receiver for FrSky
BETAFLIGHTF3 board

Thanks for any help and guidance provided.


User avatar
Kilrah
Posts: 10237
Joined: Sat Feb 18, 2012 6:56 pm
Country: Switzerland

Re: Betaflight lua script not working on Taranis x9d+ with Jumper jp4in1

Post by Kilrah » Mon Sep 16, 2019 6:45 pm

It is not possible to run the BF script with a multiprotocol module with OpenTX at this point. Use your internal module (which should be better anyway).

Post Reply

Return to “General help (FrSky Taranis radio)”